<template>
  <div :class="{ modal: isModal }">
    <div v-for="(row,index) in legend" :key="index" >
      <v-row align="center" no-gutters class="my-2" :justify="justify">
          <div class="circle" :style="{ background: row.color }"></div>
      <!--<v-icon :color="row.color" small class="border">fas fa-circle</v-icon>-->
          <div class="body-2">{{ row.text }}</div>
      </v-row>
    </div>
  </div>
</template>

<script>
export default {
  props:{
    legend: Array,
    isModal: {
      default: false,
      type: Boolean
    },
  },
  computed:{
    justify(){
      return this.isModal ? 'center' : 'start'
    }
  }
}
</script>

<style scoped lang="scss">
$size: 15px;
.circle{
  width:$size;
  height: $size;
  border-radius: 50%;
  border:1px solid #444;
  margin-right: 5px;
}
.modal{
  display: flex;
  >div{
    width: 33.33%;
  }
}
</style>
